var keys;
var Cids; //分类id
var ids; //指标id
var CategoryName; //分类名称
var Sort; //排序
var Score; //分数
var Title; //标题
var Remark; //备注
var Pid; //父id
var Left_Cids;
var Left_Sort;
var Left_Score;
var Left_Pid;
var $tableLeft = $('#tbr');
var $tableLeft1 = $('#tb1');
var token = $.cookie("token");
var Str;
var Type;

$(document).ready(function() {
	Finish();
	IndexCategoryGe();

})

//所有指标
$(".rightAll").click(function() {
	Finish();

});
//搜索功能
$(".searchGo").click(function() {
	Finish();
});
//下拉框
$("#Quetions").on("change", function() {
	Finish();
})

//清空选项
function Clean() {
	$(".model").hide();
	$("._CategoryName").val("");
	$("._Score").val('');
	$("._Sort").val('');
	$(".F_Title").val('');
	$(".F_Remark").val('');
}

////左边表格
/*获取选中行对象*/
$tableLeft1.on("click-row.bs.table", function(e, row, ele) {
	$('.success').removeClass('success'); //去除之前选中的行的，选中样式
	$(ele).addClass('success'); //添加当前选中的 success样式用于区别
	Left_Cids = row.F_CategoryId; //分类ID
	console.log(Left_Cids);
	Finish(Left_Cids); //右边列表
});
//获取试题分类列表	    ///左边列表
function IndexCategoryGe() {
	//销毁表格
	$tableLeft1.bootstrapTable('destroy');
	//初始化表格,动态从服务器加载数据
	$tableLeft1.bootstrapTable({
		method: "get", //使用get请求到服务器获取数据
		url: huayi.config.callcenter_url + "Questionnaire/GetQCategoryList",
		contentType: 'application/x-www-form-urlencoded',
		striped: true, //表格显示条纹
		pagination: true, //启动分页
		pageSize: 10, //每页显示的记录数
		pageNumber: 1, //当前第几页
		pageList: [5, 20, 50, 100], //记录数可选列表
		search: false, //是否启用查询
		showColumns: false, //显示下拉框勾选要显示的列
		showRefresh: false, //显示刷新按钮
		sidePagination: "server", //表示服务端请求
		//设置为undefined可以获取pageNumber，pageSize，searchText，sortName，sortOrder
		//设置为limit可以获取limit, offset, search, sort, order
		queryParamsType: "undefined",
		queryParams: function queryParams(params) { //设置查询参数
			var param = {
				pageindex: params.pageNumber,
				pagesize: params.pageSize,
				token: token
			};
			return param;
		},
		onLoadSuccess: function() { //加载成功时执行
			//								layer.msg("加载成功");
		},
		onLoadError: function() { //加载失败时执行
			//layer.msg("加载数据失败", { time: 1500, icon: 2 });
		}
	});
}

//删除左边删除
$('.leftDelete').click(function() {
	if(Left_Cids) {

		DelIndexCategory(Left_Cids);
	} else {
		layer.msg('没有可删除的选项！');
	}
})
//删除功能
function DelIndexCategory(Left_Cids) {
	$.ajax({
		type: "get",
		url: huayi.config.callcenter_url + "Questionnaire/DeleteQCategory",
		//url: '//117.158.196.116:8878/IndexCategory/DelIndexCategory',
		dataType: 'json',
		data: {
			id: Left_Cids,
			token: token
		},
		async: true,
		success: function(data) {
			layer.msg("删除成功");
			IndexCategoryGe();
		}
	});
}
///左边修改功能
$(".leftChange ").click(function() {
	if(Left_Cids) {
		Str = Left_Cids;
		console.log(Str);
		layer.open({
			type: 2,
			content: "../Questionnaire/modify.html?str=" + Str, //iframe的url，no代表不显示滚动条
			title: '修改分类',
			area: ['35%', '30%'], //宽高
		});
		//			GetIndexCategory(Left_Cids);

	} else {
		layer.msg('没有可修改的选项！');
	}
})

//增加
$(".leftAdd").click(function() {
	layer.open({
		type: 2,
		content: "../Questionnaire/add.html", //iframe的url，no代表不显示滚动条
		title: '添加分类',
		area: ['35%', '30%'], //宽高
	});
});

/////////////////////////右边表格
function Finish() {
	//销毁表格
	$tableLeft.bootstrapTable('destroy');
	//初始化表格,动态从服务器加载数据
	$tableLeft.bootstrapTable({
		method: "get", //使用get请求到服务器获取数据
		url: huayi.config.callcenter_url + "QCSettings/GetList",
		//			url: "//117.158.196.116:8878/IndexBase/GetList",
		contentType: 'application/x-www-form-urlencoded',
		striped: true, //表格显示条纹
		pagination: true, //启动分页
		pageSize: 10, //每页显示的记录数
		pageNumber: 1, //当前第几页
		pageList: [5, 20, 50, 100], //记录数可选列表
		search: false, //是否启用查询
		showColumns: false, //显示下拉框勾选要显示的列
		showRefresh: false, //显示刷新按钮
		sidePagination: "server", //表示服务端请求
		//设置为undefined可以获取pageNumber，pageSize，searchText，sortName，sortOrder
		//设置为limit可以获取limit, offset, search, sort, order
		queryParamsType: "undefined",
		queryParams: function queryParams(params) { //设置查询参数
			var param = {
				pageindex: params.pageNumber,
				pagesize: params.pageSize,
				CategoryId: Left_Cids,
				SelectType: $("#Quetions").val(),
				Key: $("#KeyWords").val(),
				token: token,

			};
			return param;
		},
		onLoadSuccess: function() { //加载成功时执行
			//								layer.msg("加载成功");

		},
		onLoadError: function() { //加载失败时执行
			//layer.msg("加载数据失败", { time: 1500, icon: 2 });
		}
	});
}

/*获取选中行对象*/
$tableLeft.on("click-row.bs.table", function(e, row, ele) {
	$('.success').removeClass('success'); //去除之前选中的行的，选中样式
	$(ele).addClass('success'); //添加当前选中的 success样式用于区别
	Cids = row.F_QuestionId; //试题ID
	console.log(Cids);
	ids = row.F_CategoryId; //分类ID

});
//增加
$(".rightAdd").click(function() {
	Str = Left_Cids;
	console.log(Str);
	layer.open({
		type: 2,
		content: "../Questionnaire/AddRight.html?str=" + Str, //iframe的url，no代表不显示滚动条
		title: '添加分类',
		area: ['45%', '60%'], //宽高
	});

})
//修改功能
$(".rightChange ").click(function() {
	if(Cids) {
		layer.open({
			type: 2,
			content: "../Questionnaire/XgRight.html?Cids=" + Cids, //iframe的url，no代表不显示滚动条
			title: '修改试题',
			area: ['45%', '60%'], //宽高
		});

	} else {
		layer.msg('没有可修改的选项！');
	}
})
//删除
$('.rightDelete').click(function() {
	if(Cids) {
		console.log(Cids);
		Delet(Cids);
	} else {
		layer.msg('没有可删除的选项！');

	}
})
//编号
function setCode(val, row, index) {
	return index + 1;
}
//类型操作
function Type(val) {
	var cs = '';
	var vals = '';
	if(val == 1) {
		cs = 'w';
		vals = "问答题"
	} else if(val == 2) {
		cs = 'd';
		vals = "单选题"
	} else {
		cs = 'du'
		vals = "多选题"
	}

	return '<a class="' + cs + '">' + vals + '</a>'
	console.log(val);
}
//操作
function Code(val, row) {
	if(val > 1) {
		return '<a onclick="XG(' + row.F_QuestionId + ')">操作</a>'
	}
}

function XG(val) {
	layer.open({
		type: 2,
		content: "../Questionnaire/addCheck.html?str=" + val, //iframe的url，no代表不显示滚动条
		title: '试题选项',
		area: ['45%', '60%'], //宽高
	});
}

//删除试题
function Delet(Cids) {
	$.ajax({
		type: "get",
		url: huayi.config.callcenter_url + "/Questionnaire/DeleteQuestion",
		dataType: 'json',
		data: {
			id: Cids,
			token: token
		},
		async: true,
		success: function(data) {
			if(data.state.toLowerCase() == 'success') {
				layer.msg("删除成功");
				Finish();
			}

		}
	});
}